//
// ErrorsCalculatingFoyerScore.swift
//
// Generated by openapi-generator
// https://openapi-generator.tech
//

import Foundation
#if canImport(AnyCodable)
import AnyCodable
#endif

public struct ErrorsCalculatingFoyerScore: Codable, JSONEncodable, Hashable {

    public var reportHasRequiredInformation: Bool?

    public init(reportHasRequiredInformation: Bool? = nil) {
        self.reportHasRequiredInformation = reportHasRequiredInformation
    }

    public enum CodingKeys: String, CodingKey, CaseIterable {
        case reportHasRequiredInformation
    }

    // Encodable protocol methods

    public func encode(to encoder: Encoder) throws {
        var container = encoder.container(keyedBy: CodingKeys.self)
        try container.encodeIfPresent(reportHasRequiredInformation, forKey: .reportHasRequiredInformation)
    }
}

